Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the task.

attachmentId
string
required

The id of the attachment to be retrieved.

Response

Request successful.

id
string | null

The id of the task attachment.

name
string | null

The name of the task attachment.

description
string | null

The description of the task attachment.

taskId
string | null

The id of the task to which the attachment belongs.

type
string | null

Indication of the type of content that this attachment refers to. Can be MIME type or any other indication.

url
string | null

The url to the remote content of the task attachment.

createTime
string<date-time> | null

The time the variable was inserted. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ.

removalTime
string<date-time> | null

The time after which the attachment should be removed by the History Cleanup job. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ.

rootProcessInstanceId
string | null

The process instance id of the root process instance that initiated the process containing the task.

The links associated to this resource, with method, href and rel.